Bug 731365 (rate_control_send) - WARNING: at include/net/mac80211.h:3081 rate_control_send_low+0x86/0x102 [mac80211](): TAINTED ---------W
Summary: WARNING: at include/net/mac80211.h:3081 rate_control_send_low+0x86/0x102 [mac...
Keywords:
Status: CLOSED ERRATA
Alias: rate_control_send
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stanislaw Gruszka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:3a869fc069c48f90b553fb964fa...
: 735244 736708 737993 740120 741585 746359 747215 747934 749742 751367 752333 757232 759085 760937 761192 761193 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-17 12:50 UTC by Petr Kubiznak
Modified: 2012-01-24 07:56 UTC (History)
35 users (show)

Fixed In Version: kernel-3.2.1-3.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-12 21:57:23 UTC


Attachments (Terms of Use)
dmesg at crash (112.84 KB, text/plain)
2011-09-16 10:55 UTC, Lukasz Jagiello
no flags Details
compat-wireless-next.patch (1.36 KB, text/plain)
2011-09-19 09:14 UTC, Stanislaw Gruszka
no flags Details
dmesg after patch (80.65 KB, text/plain)
2011-09-19 09:55 UTC, Lukasz Jagiello
no flags Details
Wifi adaptor in my system (2.54 KB, text/plain)
2011-09-21 15:42 UTC, David Kowis
no flags Details
supp_rates_band.patch (17.35 KB, text/plain)
2011-09-26 12:50 UTC, Stanislaw Gruszka
no flags Details
mac80211_dissassoc_when_probe_fail.patch (934 bytes, text/plain)
2011-11-03 19:34 UTC, Stanislaw Gruszka
no flags Details
dmesg for 2.6.41.1-3.offch.fc15.x86_64.debug with inconsistent lock state (81.74 KB, text/plain)
2011-11-23 22:38 UTC, Oliver Paukstadt
no flags Details
Dmesg at kernel 2.6.41.3-0.rc1.1.offch2.fc15.x86_64 (4.97 KB, text/plain)
2011-11-24 10:50 UTC, Lukasz Jagiello
no flags Details
mac80211_offchannel_rework_revert.patch (20.45 KB, text/plain)
2011-11-24 13:21 UTC, Stanislaw Gruszka
no flags Details
0001-rtlwifi-fix-lps_lock-deadlock.patch (9.50 KB, text/plain)
2011-11-24 13:23 UTC, Stanislaw Gruszka
no flags Details

Description Petr Kubiznak 2011-08-17 12:50:51 UTC
abrt version: 2.0.3
architecture:   i686
cmdline:        ro root=/dev/mapper/vg_petrhp-lv_root rd_LVM_LV=vg_petrhp/lv_root rd_LVM_LV=vg_petrhp/lv_swap rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us rhgb quiet
comment:        Just browsing web in Firefox.
component:      kernel
kernel:         2.6.40-4.fc15.i686
kernel_tainted: 512
kernel_tainted_long: Taint on warning.
os_release:     Fedora release 15 (Lovelock)
package:        kernel
reason:         WARNING: at include/net/mac80211.h:3081 rate_control_send_low+0x86/0x102 [mac80211]()
time:           Wed Aug 17 11:33:45 2011

backtrace:
:WARNING: at include/net/mac80211.h:3081 rate_control_send_low+0x86/0x102 [mac80211]()
:Hardware name: HP Compaq 8710p
:Modules linked in: nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_netbios_ns nf_conntrack_broadcast nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack rfcomm btusb fuse vboxpci vboxnetadp vboxnetflt vboxdrv cpufreq_ondemand 8021q garp stp llc acpi_cpufreq mperf ip6t_REJECT bnep bluetooth snd_hda_codec_analog arc4 ppdev snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm r852 r592 sm_common nand nand_ids nand_ecc mtd iwl4965 iwl_legacy mac80211 memstick snd_timer snd iTCO_wdt soundcore cfg80211 snd_page_alloc iTCO_vendor_support e1000e parport_pc microcode parport hp_wmi sparse_keymap rfkill serio_raw tpm_infineon hp_accel lis3lv02d joydev input_polldev pata_pcmcia pata_acpi sdhci_pci sdhci mmc_core firewire_ohci firewire_core ata_generic crc_itu_t yenta_socket nouveau ttm drm_kms_helper drm i2c_algo_bit i2c_core mxm_wmi wmi video [last unloaded: nf_conntrack]
:Pid: 3617, comm: kworker/u:1 Tainted: G        W   2.6.40-4.fc15.i686 #1
:Call Trace:
: [<c080ca2a>] ? printk+0x2d/0x2f
: [<c043c3e9>] warn_slowpath_common+0x7c/0x91
: [<fb520082>] ? rate_control_send_low+0x86/0x102 [mac80211]
: [<fb520082>] ? rate_control_send_low+0x86/0x102 [mac80211]
: [<c043c420>] warn_slowpath_null+0x22/0x24
: [<fb520082>] rate_control_send_low+0x86/0x102 [mac80211]
: [<fb5dd03b>] iwl4965_rs_get_rate+0x122/0x1e0 [iwl4965]
: [<c04b582e>] ? __free_pages_ok+0xbf/0xc7
: [<fb5203b9>] rate_control_get_rate+0x98/0x162 [mac80211]
: [<c04b598e>] ? __free_pages+0x26/0x28
: [<c0465f7c>] ? arch_local_irq_save+0x12/0x17
: [<fb527b12>] invoke_tx_handlers+0x714/0xcb9 [mac80211]
: [<c0465f7c>] ? arch_local_irq_save+0x12/0x17
: [<fb52682e>] ? ieee80211_tx_prepare+0x301/0x33c [mac80211]
: [<fb52810c>] ieee80211_tx+0x55/0x7e [mac80211]
: [<fb528281>] ieee80211_xmit+0x14c/0x154 [mac80211]
: [<fb528b8a>] ieee80211_tx_skb+0x49/0x53 [mac80211]
: [<fb5174fb>] ieee80211_send_delba+0x120/0x128 [mac80211]
: [<c042f96d>] ? __might_sleep+0x29/0xe4
: [<fb51839d>] ___ieee80211_stop_rx_ba_session+0xe1/0x105 [mac80211]
: [<fb5d87e1>] ? iwl4965_mac_set_key+0x2be/0x2be [iwl4965]
: [<fb51840d>] __ieee80211_stop_rx_ba_session+0x4c/0x5b [mac80211]
: [<fb5172c0>] ieee80211_sta_tear_down_BA_sessions+0x4d/0x59 [mac80211]
: [<fb519d0c>] ieee80211_set_disassoc+0xb6/0x1bb [mac80211]
: [<fb519f88>] ieee80211_sta_connection_lost+0x2e/0x92 [mac80211]
: [<c04297a3>] ? should_resched+0xd/0x27
: [<c0812e91>] ? _cond_resched+0xd/0x21
: [<fb51c47c>] ieee80211_sta_work+0x11a/0x129 [mac80211]
: [<c042d5e1>] ? finish_task_switch+0x3e/0x9d
: [<c0465f7c>] ? arch_local_irq_save+0x12/0x17
: [<fb51ec0d>] ieee80211_iface_work+0x274/0x290 [mac80211]
: [<c04504fa>] process_one_work+0x122/0x22f
: [<fb51e999>] ? ieee80211_teardown_sdata+0xb8/0xb8 [mac80211]
: [<c0450f56>] worker_thread+0xb9/0x133
: [<c0450e9d>] ? manage_workers+0x154/0x154
: [<c0453c04>] kthread+0x67/0x6c
: [<c0453b9d>] ? kthread_worker_fn+0x11d/0x11d
: [<c081a3fe>] kernel_thread_helper+0x6/0x10

Comment 1 Ameya Gore 2011-08-19 23:46:14 UTC
Package: kernel
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
unknown error

Comment 2 John W. Linville 2011-08-24 19:38:16 UTC
I hate the Intel rate control algorithms...

Comment 3 Ameya Gore 2011-09-02 20:16:34 UTC
Package: kernel
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
unknown error

Comment 4 Stanislaw Gruszka 2011-09-14 09:37:40 UTC
*** Bug 737993 has been marked as a duplicate of this bug. ***

Comment 5 Stanislaw Gruszka 2011-09-14 09:52:05 UTC
*** Bug 735244 has been marked as a duplicate of this bug. ***

Comment 6 Stanislaw Gruszka 2011-09-14 09:52:32 UTC
*** Bug 736708 has been marked as a duplicate of this bug. ***

Comment 7 Stanislaw Gruszka 2011-09-15 07:54:29 UTC
From pure call trace is hard to tell where the problem is. Can someone provide dmesg or /var/log/messages part from system start to the WARNING. Dmesg is better since it include also kernel debug messages which are by default not logged into /var/log/messages.

Comment 8 Stanislaw Gruszka 2011-09-15 07:58:09 UTC
Lukasz, I'm looking at https://bugzilla.redhat.com/show_bug.cgi?id=736708#c1, are you able to reproduce that problem?

Comment 9 Lukasz Jagiello 2011-09-15 08:02:03 UTC
Yes. Every time when change access point B/G <-> N.

Comment 10 Stanislaw Gruszka 2011-09-15 09:22:14 UTC
Ok, please attach dmesg command output when that happen. What wireless device do you have ( "lspci -nn |  grep Network" command should show that information) ?

Comment 11 Lukasz Jagiello 2011-09-15 10:34:42 UTC
02:00.0 Network controller [0280]: Intel Corporation Centrino Advanced-N 6205 [8086:0082] (rev 34)

dmesg:

[14696.382772] ------------[ cut here ]------------
[14696.382828] WARNING: at include/net/mac80211.h:3081 rate_control_send_low+0x8b/0x10f [mac80211]()
[14696.382837] Hardware name: Latitude E5520
[14696.382839] Modules linked in: tcp_lp usb_storage uas fuse lp vboxpci vboxnetadp vboxnetflt ebtable_nat ebtables vboxdrv bridge stp llc sunrpc cpufreq_ondemand acpi_cpufreq mperf ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state ip6table_filter ip6_tables ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_conntrack nf_defrag_ipv4 xt_CHECKSUM iptable_mangle rfcomm bnep coretemp snd_hda_codec_hdmi snd_hda_codec_idt btusb bluetooth arc4 snd_hda_intel dell_wmi ppdev sparse_keymap snd_hda_codec dell_laptop snd_hwdep snd_seq snd_seq_device dcdbas snd_pcm iwlagn microcode mac80211 snd_timer cfg80211 snd i2c_i801 iTCO_wdt soundcore rfkill snd_page_alloc iTCO_vendor_support tg3 parport_pc parport virtio_net kvm_intel kvm ipv6 xts gf128mul dm_crypt firewire_ohci sdhci_pci sdhci mmc_core firewire_core crc_itu_t wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
[14696.382915] Pid: 1779, comm: gnome-shell Not tainted 2.6.40.4-5.fc15.x86_64 #1
[14696.382918] Call Trace:
[14696.382920]  <IRQ>  [<ffffffff81054c8e>] warn_slowpath_common+0x83/0x9b
[14696.382938]  [<ffffffff81054cc0>] warn_slowpath_null+0x1a/0x1c
[14696.382952]  [<ffffffffa0241627>] rate_control_send_low+0x8b/0x10f [mac80211]
[14696.382967]  [<ffffffffa0286306>] rs_get_rate+0x138/0x215 [iwlagn]
[14696.382975]  [<ffffffff810d6668>] ? perf_event_task_tick+0x1a2/0x1d6
[14696.382990]  [<ffffffffa02419bb>] rate_control_get_rate+0x86/0x14c [mac80211]
[14696.383006]  [<ffffffffa0249f2c>] invoke_tx_handlers+0x829/0xe7d [mac80211]
[14696.383021]  [<ffffffffa024a5e5>] ieee80211_tx+0x65/0x90 [mac80211]
[14696.383035]  [<ffffffffa024a76f>] ieee80211_xmit+0x15f/0x16e [mac80211]
[14696.383041]  [<ffffffff813cf834>] ? __alloc_skb+0x8d/0x133
[14696.383054]  [<ffffffffa024b1e0>] ieee80211_tx_skb+0x56/0x5e [mac80211]
[14696.383067]  [<ffffffffa0238802>] ieee80211_send_bar+0xda/0xe9 [mac80211]
[14696.383077]  [<ffffffffa02335ce>] ieee80211_tx_status+0x1e0/0x705 [mac80211]
[14696.383084]  [<ffffffff814880b4>] ? _raw_spin_unlock_irqrestore+0x17/0x19
[14696.383094]  [<ffffffffa0232b5b>] ieee80211_tasklet_handler+0x5b/0xa8 [mac80211]
[14696.383099]  [<ffffffff8105a0b3>] tasklet_action+0x7f/0xd2
[14696.383103]  [<ffffffff8105a954>] __do_softirq+0xc9/0x1b5
[14696.383109]  [<ffffffff8100e969>] ? paravirt_read_tsc+0x9/0xd
[14696.383114]  [<ffffffff8148fa5c>] call_softirq+0x1c/0x30
[14696.383117]  [<ffffffff8100abb9>] do_softirq+0x46/0x81
[14696.383122]  [<ffffffff8105ac36>] irq_exit+0x57/0xb1
[14696.383126]  [<ffffffff814902de>] do_IRQ+0x8e/0xa5
[14696.383131]  [<ffffffff81488493>] common_interrupt+0x13/0x13
[14696.383133]  <EOI>  [<ffffffff8148e974>] ? sysret_audit+0x16/0x20
[14696.383141] ---[ end trace 582526bd2f4914ac ]---
[14696.383575] ------------[ cut here ]------------
[14696.383616] WARNING: at include/net/mac80211.h:3081 rate_control_send_low+0x8b/0x10f [mac80211]()
[14696.383632] Hardware name: Latitude E5520
[14696.383635] Modules linked in: tcp_lp usb_storage uas fuse lp vboxpci vboxnetadp vboxnetflt ebtable_nat ebtables vboxdrv bridge stp llc sunrpc cpufreq_ondemand acpi_cpufreq mperf ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state ip6table_filter ip6_tables ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_conntrack nf_defrag_ipv4 xt_CHECKSUM iptable_mangle rfcomm bnep coretemp snd_hda_codec_hdmi snd_hda_codec_idt btusb bluetooth arc4 snd_hda_intel dell_wmi ppdev sparse_keymap snd_hda_codec dell_laptop snd_hwdep snd_seq snd_seq_device dcdbas snd_pcm iwlagn microcode mac80211 snd_timer cfg80211 snd i2c_i801 iTCO_wdt soundcore rfkill snd_page_alloc iTCO_vendor_support tg3 parport_pc parport virtio_net kvm_intel kvm ipv6 xts gf128mul dm_crypt firewire_ohci sdhci_pci sdhci mmc_core firewire_core crc_itu_t wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
[14696.383751] Pid: 1779, comm: gnome-shell Tainted: G        W   2.6.40.4-5.fc15.x86_64 #1
[14696.383754] Call Trace:
[14696.383757]  <IRQ>  [<ffffffff81054c8e>] warn_slowpath_common+0x83/0x9b
[14696.383770]  [<ffffffff81054cc0>] warn_slowpath_null+0x1a/0x1c
[14696.383785]  [<ffffffffa0241627>] rate_control_send_low+0x8b/0x10f [mac80211]
[14696.383799]  [<ffffffffa0286306>] rs_get_rate+0x138/0x215 [iwlagn]
[14696.383814]  [<ffffffffa02419bb>] rate_control_get_rate+0x86/0x14c [mac80211]
[14696.383830]  [<ffffffffa0249f2c>] invoke_tx_handlers+0x829/0xe7d [mac80211]
[14696.383837]  [<ffffffff813cf8ed>] ? alloc_skb+0x13/0x15
[14696.383852]  [<ffffffffa024a5e5>] ieee80211_tx+0x65/0x90 [mac80211]
[14696.383867]  [<ffffffffa024a76f>] ieee80211_xmit+0x15f/0x16e [mac80211]
[14696.383873]  [<ffffffff813cf834>] ? __alloc_skb+0x8d/0x133
[14696.383889]  [<ffffffffa024b1e0>] ieee80211_tx_skb+0x56/0x5e [mac80211]
[14696.383903]  [<ffffffffa0238802>] ieee80211_send_bar+0xda/0xe9 [mac80211]
[14696.383915]  [<ffffffffa02335ce>] ieee80211_tx_status+0x1e0/0x705 [mac80211]
[14696.383922]  [<ffffffff814880b4>] ? _raw_spin_unlock_irqrestore+0x17/0x19
[14696.383933]  [<ffffffffa0232b5b>] ieee80211_tasklet_handler+0x5b/0xa8 [mac80211]
[14696.383939]  [<ffffffff8105a0b3>] tasklet_action+0x7f/0xd2
[14696.383945]  [<ffffffff8105a954>] __do_softirq+0xc9/0x1b5
[14696.383951]  [<ffffffff8100e969>] ? paravirt_read_tsc+0x9/0xd
[14696.383956]  [<ffffffff8148fa5c>] call_softirq+0x1c/0x30
[14696.383961]  [<ffffffff8100abb9>] do_softirq+0x46/0x81
[14696.383966]  [<ffffffff8105ac36>] irq_exit+0x57/0xb1
[14696.383971]  [<ffffffff814902de>] do_IRQ+0x8e/0xa5
[14696.383978]  [<ffffffff81488493>] common_interrupt+0x13/0x13
[14696.383981]  <EOI>  [<ffffffff8148e974>] ? sysret_audit+0x16/0x20
[14696.383989] ---[ end trace 582526bd2f4914ad ]---
[14696.384658] wlan0: direct probe to 00:22:55:86:38:32 (try 1/3)
[14696.584572] wlan0: direct probe to 00:22:55:86:38:32 (try 2/3)
[14696.602679] ------------[ cut here ]------------
[14696.602726] WARNING: at include/net/mac80211.h:3081 rate_control_send_low+0x8b/0x10f [mac80211]()
[14696.602733] Hardware name: Latitude E5520
[14696.602736] Modules linked in: tcp_lp usb_storage uas fuse lp vboxpci vboxnetadp vboxnetflt ebtable_nat ebtables vboxdrv bridge stp llc sunrpc cpufreq_ondemand acpi_cpufreq mperf ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state ip6table_filter ip6_tables ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_conntrack nf_defrag_ipv4 xt_CHECKSUM iptable_mangle rfcomm bnep coretemp snd_hda_codec_hdmi snd_hda_codec_idt btusb bluetooth arc4 snd_hda_intel dell_wmi ppdev sparse_keymap snd_hda_codec dell_laptop snd_hwdep snd_seq snd_seq_device dcdbas snd_pcm iwlagn microcode mac80211 snd_timer cfg80211 snd i2c_i801 iTCO_wdt soundcore rfkill snd_page_alloc iTCO_vendor_support tg3 parport_pc parport virtio_net kvm_intel kvm ipv6 xts gf128mul dm_crypt firewire_ohci sdhci_pci sdhci mmc_core firewire_core crc_itu_t wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
[14696.602862] Pid: 0, comm: swapper Tainted: G        W   2.6.40.4-5.fc15.x86_64 #1
[14696.602867] Call Trace:
[14696.602871]  <IRQ>  [<ffffffff81054c8e>] warn_slowpath_common+0x83/0x9b
[14696.602898]  [<ffffffff81054cc0>] warn_slowpath_null+0x1a/0x1c
[14696.602922]  [<ffffffffa0241627>] rate_control_send_low+0x8b/0x10f [mac80211]
[14696.602946]  [<ffffffffa0286306>] rs_get_rate+0x138/0x215 [iwlagn]
[14696.602955]  [<ffffffff8104ce29>] ? default_wake_function+0x12/0x14
[14696.602964]  [<ffffffff81135963>] ? pollwake+0x52/0x54
[14696.602988]  [<ffffffffa02419bb>] rate_control_get_rate+0x86/0x14c [mac80211]
[14696.603017]  [<ffffffffa0249f2c>] invoke_tx_handlers+0x829/0xe7d [mac80211]
[14696.603047]  [<ffffffffa029ac93>] ? pci_unmap_single+0x54/0x5b [iwlagn]
[14696.603057]  [<ffffffff813cf8ed>] ? alloc_skb+0x13/0x15
[14696.603082]  [<ffffffffa024a5e5>] ieee80211_tx+0x65/0x90 [mac80211]
[14696.603106]  [<ffffffffa024a76f>] ieee80211_xmit+0x15f/0x16e [mac80211]
[14696.603115]  [<ffffffff813cf834>] ? __alloc_skb+0x8d/0x133
[14696.603138]  [<ffffffffa024b1e0>] ieee80211_tx_skb+0x56/0x5e [mac80211]
[14696.603160]  [<ffffffffa0238802>] ieee80211_send_bar+0xda/0xe9 [mac80211]
[14696.603178]  [<ffffffffa02335ce>] ieee80211_tx_status+0x1e0/0x705 [mac80211]
[14696.603189]  [<ffffffff814880b4>] ? _raw_spin_unlock_irqrestore+0x17/0x19
[14696.603206]  [<ffffffffa0232b5b>] ieee80211_tasklet_handler+0x5b/0xa8 [mac80211]
[14696.603215]  [<ffffffff8105a0b3>] tasklet_action+0x7f/0xd2
[14696.603223]  [<ffffffff8105a954>] __do_softirq+0xc9/0x1b5
[14696.603232]  [<ffffffff8100e969>] ? paravirt_read_tsc+0x9/0xd
[14696.603240]  [<ffffffff8148fa5c>] call_softirq+0x1c/0x30
[14696.603246]  [<ffffffff8100abb9>] do_softirq+0x46/0x81
[14696.603254]  [<ffffffff8105ac36>] irq_exit+0x57/0xb1
[14696.603261]  [<ffffffff814902de>] do_IRQ+0x8e/0xa5
[14696.603270]  [<ffffffff81488493>] common_interrupt+0x13/0x13
[14696.603274]  <EOI>  [<ffffffff8100e969>] ? paravirt_read_tsc+0x9/0xd
[14696.603290]  [<ffffffff812841b0>] ? intel_idle+0xd8/0x100
[14696.603297]  [<ffffffff81284192>] ? intel_idle+0xba/0x100
[14696.603307]  [<ffffffff813af949>] cpuidle_idle_call+0xd7/0x168
[14696.603317]  [<ffffffff81008307>] cpu_idle+0xa5/0xdf
[14696.603326]  [<ffffffff8146741e>] rest_init+0x72/0x74
[14696.603334]  [<ffffffff81b66b8b>] start_kernel+0x3ca/0x3d5
[14696.603342]  [<ffffffff81b662c4>] x86_64_start_reservations+0xaf/0xb3
[14696.603350]  [<ffffffff81b66140>] ? early_idt_handlers+0x140/0x140
[14696.603357]  [<ffffffff81b663ca>] x86_64_start_kernel+0x102/0x111
[14696.603363] ---[ end trace 582526bd2f4914ae ]---
[14696.605393] ------------[ cut here ]------------
[14696.605422] WARNING: at include/net/mac80211.h:3081 rate_control_send_low+0x8b/0x10f [mac80211]()
[14696.605427] Hardware name: Latitude E5520
[14696.605430] Modules linked in: tcp_lp usb_storage uas fuse lp vboxpci vboxnetadp vboxnetflt ebtable_nat ebtables vboxdrv bridge stp llc sunrpc cpufreq_ondemand acpi_cpufreq mperf ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state ip6table_filter ip6_tables ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_conntrack nf_defrag_ipv4 xt_CHECKSUM iptable_mangle rfcomm bnep coretemp snd_hda_codec_hdmi snd_hda_codec_idt btusb bluetooth arc4 snd_hda_intel dell_wmi ppdev sparse_keymap snd_hda_codec dell_laptop snd_hwdep snd_seq snd_seq_device dcdbas snd_pcm iwlagn microcode mac80211 snd_timer cfg80211 snd i2c_i801 iTCO_wdt soundcore rfkill snd_page_alloc iTCO_vendor_support tg3 parport_pc parport virtio_net kvm_intel kvm ipv6 xts gf128mul dm_crypt firewire_ohci sdhci_pci sdhci mmc_core firewire_core crc_itu_t wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
[14696.605555] Pid: 0, comm: swapper Tainted: G        W   2.6.40.4-5.fc15.x86_64 #1
[14696.605559] Call Trace:
[14696.605563]  <IRQ>  [<ffffffff81054c8e>] warn_slowpath_common+0x83/0x9b
[14696.605583]  [<ffffffff81054cc0>] warn_slowpath_null+0x1a/0x1c
[14696.605603]  [<ffffffffa0241627>] rate_control_send_low+0x8b/0x10f [mac80211]
[14696.605625]  [<ffffffffa0286306>] rs_get_rate+0x138/0x215 [iwlagn]
[14696.605632]  [<ffffffff8104ce29>] ? default_wake_function+0x12/0x14
[14696.605641]  [<ffffffff81135963>] ? pollwake+0x52/0x54
[14696.605662]  [<ffffffffa02419bb>] rate_control_get_rate+0x86/0x14c [mac80211]
[14696.605686]  [<ffffffffa0249f2c>] invoke_tx_handlers+0x829/0xe7d [mac80211]
[14696.605716]  [<ffffffffa029ac93>] ? pci_unmap_single+0x54/0x5b [iwlagn]
[14696.605740]  [<ffffffffa024a5e5>] ieee80211_tx+0x65/0x90 [mac80211]
[14696.605763]  [<ffffffffa024a76f>] ieee80211_xmit+0x15f/0x16e [mac80211]
[14696.605772]  [<ffffffff813cf834>] ? __alloc_skb+0x8d/0x133
[14696.605794]  [<ffffffffa024b1e0>] ieee80211_tx_skb+0x56/0x5e [mac80211]
[14696.605816]  [<ffffffffa0238802>] ieee80211_send_bar+0xda/0xe9 [mac80211]
[14696.605834]  [<ffffffffa02335ce>] ieee80211_tx_status+0x1e0/0x705 [mac80211]
[14696.605844]  [<ffffffff814880b4>] ? _raw_spin_unlock_irqrestore+0x17/0x19
[14696.605860]  [<ffffffffa0232b5b>] ieee80211_tasklet_handler+0x5b/0xa8 [mac80211]
[14696.605869]  [<ffffffff8105a0b3>] tasklet_action+0x7f/0xd2
[14696.605877]  [<ffffffff8105a954>] __do_softirq+0xc9/0x1b5
[14696.605885]  [<ffffffff8100e969>] ? paravirt_read_tsc+0x9/0xd
[14696.605892]  [<ffffffff8148fa5c>] call_softirq+0x1c/0x30
[14696.605898]  [<ffffffff8100abb9>] do_softirq+0x46/0x81
[14696.605906]  [<ffffffff8105ac36>] irq_exit+0x57/0xb1
[14696.605912]  [<ffffffff814902de>] do_IRQ+0x8e/0xa5
[14696.605921]  [<ffffffff81488493>] common_interrupt+0x13/0x13
[14696.605925]  <EOI>  [<ffffffff8100e969>] ? paravirt_read_tsc+0x9/0xd
[14696.605939]  [<ffffffff812841b0>] ? intel_idle+0xd8/0x100
[14696.605946]  [<ffffffff81284192>] ? intel_idle+0xba/0x100
[14696.605955]  [<ffffffff813af949>] cpuidle_idle_call+0xd7/0x168
[14696.605965]  [<ffffffff81008307>] cpu_idle+0xa5/0xdf
[14696.605973]  [<ffffffff8146741e>] rest_init+0x72/0x74
[14696.605981]  [<ffffffff81b66b8b>] start_kernel+0x3ca/0x3d5
[14696.605989]  [<ffffffff81b662c4>] x86_64_start_reservations+0xaf/0xb3
[14696.605996]  [<ffffffff81b66140>] ? early_idt_handlers+0x140/0x140
[14696.606004]  [<ffffffff81b663ca>] x86_64_start_kernel+0x102/0x111
[14696.606009] ---[ end trace 582526bd2f4914af ]---
[14696.784486] wlan0: direct probe to 00:22:55:86:38:32 (try 3/3)
[14696.984419] wlan0: direct probe to 00:22:55:86:38:32 timed out
[14697.075426] ------------[ cut here ]------------
[14697.075490] WARNING: at include/net/mac80211.h:3081 rate_control_send_low+0x8b/0x10f [mac80211]()
[14697.075496] Hardware name: Latitude E5520
[14697.075500] Modules linked in: tcp_lp usb_storage uas fuse lp vboxpci vboxnetadp vboxnetflt ebtable_nat ebtables vboxdrv bridge stp llc sunrpc cpufreq_ondemand acpi_cpufreq mperf ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state ip6table_filter ip6_tables ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_conntrack nf_defrag_ipv4 xt_CHECKSUM iptable_mangle rfcomm bnep coretemp snd_hda_codec_hdmi snd_hda_codec_idt btusb bluetooth arc4 snd_hda_intel dell_wmi ppdev sparse_keymap snd_hda_codec dell_laptop snd_hwdep snd_seq snd_seq_device dcdbas snd_pcm iwlagn microcode mac80211 snd_timer cfg80211 snd i2c_i801 iTCO_wdt soundcore rfkill snd_page_alloc iTCO_vendor_support tg3 parport_pc parport virtio_net kvm_intel kvm ipv6 xts gf128mul dm_crypt firewire_ohci sdhci_pci sdhci mmc_core firewire_core crc_itu_t wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
[14697.075631] Pid: 1779, comm: gnome-shell Tainted: G        W   2.6.40.4-5.fc15.x86_64 #1
[14697.075636] Call Trace:
[14697.075640]  <IRQ>  [<ffffffff81054c8e>] warn_slowpath_common+0x83/0x9b
[14697.075671]  [<ffffffff81054cc0>] warn_slowpath_null+0x1a/0x1c
[14697.075694]  [<ffffffffa0241627>] rate_control_send_low+0x8b/0x10f [mac80211]
[14697.075727]  [<ffffffffa0286306>] rs_get_rate+0x138/0x215 [iwlagn]
[14697.075735]  [<ffffffff8104ce29>] ? default_wake_function+0x12/0x14
[14697.075747]  [<ffffffff81135963>] ? pollwake+0x52/0x54
[14697.075771]  [<ffffffffa02419bb>] rate_control_get_rate+0x86/0x14c [mac80211]
[14697.075800]  [<ffffffffa0249f2c>] invoke_tx_handlers+0x829/0xe7d [mac80211]
[14697.075831]  [<ffffffffa029ac93>] ? pci_unmap_single+0x54/0x5b [iwlagn]
[14697.075857]  [<ffffffffa024a5e5>] ieee80211_tx+0x65/0x90 [mac80211]
[14697.075881]  [<ffffffffa024a76f>] ieee80211_xmit+0x15f/0x16e [mac80211]
[14697.075893]  [<ffffffff813cf834>] ? __alloc_skb+0x8d/0x133
[14697.075916]  [<ffffffffa024b1e0>] ieee80211_tx_skb+0x56/0x5e [mac80211]
[14697.075938]  [<ffffffffa0238802>] ieee80211_send_bar+0xda/0xe9 [mac80211]
[14697.075956]  [<ffffffffa02335ce>] ieee80211_tx_status+0x1e0/0x705 [mac80211]
[14697.075969]  [<ffffffff814880b4>] ? _raw_spin_unlock_irqrestore+0x17/0x19
[14697.075985]  [<ffffffffa0232b5b>] ieee80211_tasklet_handler+0x5b/0xa8 [mac80211]
[14697.075994]  [<ffffffff8105a0b3>] tasklet_action+0x7f/0xd2
[14697.076002]  [<ffffffff8105a954>] __do_softirq+0xc9/0x1b5
[14697.076013]  [<ffffffff8100e969>] ? paravirt_read_tsc+0x9/0xd
[14697.076021]  [<ffffffff8148fa5c>] call_softirq+0x1c/0x30
[14697.076028]  [<ffffffff8100abb9>] do_softirq+0x46/0x81
[14697.076035]  [<ffffffff8105ac36>] irq_exit+0x57/0xb1
[14697.076043]  [<ffffffff814902de>] do_IRQ+0x8e/0xa5
[14697.076052]  [<ffffffff81488493>] common_interrupt+0x13/0x13
[14697.076056]  <EOI>  [<ffffffff8148e974>] ? sysret_audit+0x16/0x20
[14697.076069] ---[ end trace 582526bd2f4914b0 ]---
[14697.078109] ------------[ cut here ]------------
[14697.078143] WARNING: at include/net/mac80211.h:3081 rate_control_send_low+0x8b/0x10f [mac80211]()
[14697.078149] Hardware name: Latitude E5520
[14697.078152] Modules linked in: tcp_lp usb_storage uas fuse lp vboxpci vboxnetadp vboxnetflt ebtable_nat ebtables vboxdrv bridge stp llc sunrpc cpufreq_ondemand acpi_cpufreq mperf ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state ip6table_filter ip6_tables ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_conntrack nf_defrag_ipv4 xt_CHECKSUM iptable_mangle rfcomm bnep coretemp snd_hda_codec_hdmi snd_hda_codec_idt btusb bluetooth arc4 snd_hda_intel dell_wmi ppdev sparse_keymap snd_hda_codec dell_laptop snd_hwdep snd_seq snd_seq_device dcdbas snd_pcm iwlagn microcode mac80211 snd_timer cfg80211 snd i2c_i801 iTCO_wdt soundcore rfkill snd_page_alloc iTCO_vendor_support tg3 parport_pc parport virtio_net kvm_intel kvm ipv6 xts gf128mul dm_crypt firewire_ohci sdhci_pci sdhci mmc_core firewire_core crc_itu_t wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
[14697.078300] Pid: 1779, comm: gnome-shell Tainted: G        W   2.6.40.4-5.fc15.x86_64 #1
[14697.078306] Call Trace:
[14697.078312]  <IRQ>  [<ffffffff81054c8e>] warn_slowpath_common+0x83/0x9b
[14697.078342]  [<ffffffff81054cc0>] warn_slowpath_null+0x1a/0x1c
[14697.078372]  [<ffffffffa0241627>] rate_control_send_low+0x8b/0x10f [mac80211]
[14697.078402]  [<ffffffffa0286306>] rs_get_rate+0x138/0x215 [iwlagn]
[14697.078414]  [<ffffffff8104ce29>] ? default_wake_function+0x12/0x14
[14697.078425]  [<ffffffff81135963>] ? pollwake+0x52/0x54
[14697.078456]  [<ffffffffa02419bb>] rate_control_get_rate+0x86/0x14c [mac80211]
[14697.078490]  [<ffffffffa0249f2c>] invoke_tx_handlers+0x829/0xe7d [mac80211]
[14697.078527]  [<ffffffffa029ac93>] ? pci_unmap_single+0x54/0x5b [iwlagn]
[14697.078560]  [<ffffffffa024a5e5>] ieee80211_tx+0x65/0x90 [mac80211]
[14697.078591]  [<ffffffffa024a76f>] ieee80211_xmit+0x15f/0x16e [mac80211]
[14697.078604]  [<ffffffff813cf834>] ? __alloc_skb+0x8d/0x133
[14697.078635]  [<ffffffffa024b1e0>] ieee80211_tx_skb+0x56/0x5e [mac80211]
[14697.078663]  [<ffffffffa0238802>] ieee80211_send_bar+0xda/0xe9 [mac80211]
[14697.078687]  [<ffffffffa02335ce>] ieee80211_tx_status+0x1e0/0x705 [mac80211]
[14697.078701]  [<ffffffff814880b4>] ? _raw_spin_unlock_irqrestore+0x17/0x19
[14697.078724]  [<ffffffffa0232b5b>] ieee80211_tasklet_handler+0x5b/0xa8 [mac80211]
[14697.078736]  [<ffffffff8105a0b3>] tasklet_action+0x7f/0xd2
[14697.078748]  [<ffffffff8105a954>] __do_softirq+0xc9/0x1b5
[14697.078760]  [<ffffffff8100e969>] ? paravirt_read_tsc+0x9/0xd
[14697.078770]  [<ffffffff8148fa5c>] call_softirq+0x1c/0x30
[14697.078780]  [<ffffffff8100abb9>] do_softirq+0x46/0x81
[14697.078791]  [<ffffffff8105ac36>] irq_exit+0x57/0xb1
[14697.078801]  [<ffffffff814902de>] do_IRQ+0x8e/0xa5
[14697.078814]  [<ffffffff81488493>] common_interrupt+0x13/0x13
[14697.078820]  <EOI>  [<ffffffff8148e974>] ? sysret_audit+0x16/0x20
[14697.078838] ---[ end trace 582526bd2f4914b1 ]---
[14698.020976] ------------[ cut here ]------------
[14698.021026] WARNING: at include/net/mac80211.h:3081 rate_control_send_low+0x8b/0x10f [mac80211]()
[14698.021032] Hardware name: Latitude E5520
[14698.021036] Modules linked in: tcp_lp usb_storage uas fuse lp vboxpci vboxnetadp vboxnetflt ebtable_nat ebtables vboxdrv bridge stp llc sunrpc cpufreq_ondemand acpi_cpufreq mperf ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state ip6table_filter ip6_tables ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_conntrack nf_defrag_ipv4 xt_CHECKSUM iptable_mangle rfcomm bnep coretemp snd_hda_codec_hdmi snd_hda_codec_idt btusb bluetooth arc4 snd_hda_intel dell_wmi ppdev sparse_keymap snd_hda_codec dell_laptop snd_hwdep snd_seq snd_seq_device dcdbas snd_pcm iwlagn microcode mac80211 snd_timer cfg80211 snd i2c_i801 iTCO_wdt soundcore rfkill snd_page_alloc iTCO_vendor_support tg3 parport_pc parport virtio_net kvm_intel kvm ipv6 xts gf128mul dm_crypt firewire_ohci sdhci_pci sdhci mmc_core firewire_core crc_itu_t wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
[14698.021163] Pid: 0, comm: swapper Tainted: G        W   2.6.40.4-5.fc15.x86_64 #1
[14698.021169] Call Trace:
[14698.021173]  <IRQ>  [<ffffffff81054c8e>] warn_slowpath_common+0x83/0x9b
[14698.021201]  [<ffffffff81054cc0>] warn_slowpath_null+0x1a/0x1c
[14698.021225]  [<ffffffffa0241627>] rate_control_send_low+0x8b/0x10f [mac80211]
[14698.021250]  [<ffffffffa0286306>] rs_get_rate+0x138/0x215 [iwlagn]
[14698.021275]  [<ffffffffa02419bb>] rate_control_get_rate+0x86/0x14c [mac80211]
[14698.021302]  [<ffffffffa0249f2c>] invoke_tx_handlers+0x829/0xe7d [mac80211]
[14698.021333]  [<ffffffffa029ac93>] ? pci_unmap_single+0x54/0x5b [iwlagn]
[14698.021359]  [<ffffffffa024a5e5>] ieee80211_tx+0x65/0x90 [mac80211]
[14698.021382]  [<ffffffffa024a76f>] ieee80211_xmit+0x15f/0x16e [mac80211]
[14698.021394]  [<ffffffff813cf834>] ? __alloc_skb+0x8d/0x133
[14698.021418]  [<ffffffffa024b1e0>] ieee80211_tx_skb+0x56/0x5e [mac80211]
[14698.021440]  [<ffffffffa0238802>] ieee80211_send_bar+0xda/0xe9 [mac80211]
[14698.021458]  [<ffffffffa02335ce>] ieee80211_tx_status+0x1e0/0x705 [mac80211]
[14698.021470]  [<ffffffff814880b4>] ? _raw_spin_unlock_irqrestore+0x17/0x19
[14698.021487]  [<ffffffffa0232b5b>] ieee80211_tasklet_handler+0x5b/0xa8 [mac80211]
[14698.021496]  [<ffffffff8105a0b3>] tasklet_action+0x7f/0xd2
[14698.021504]  [<ffffffff8105a954>] __do_softirq+0xc9/0x1b5
[14698.021515]  [<ffffffff8100e969>] ? paravirt_read_tsc+0x9/0xd
[14698.021524]  [<ffffffff8148fa5c>] call_softirq+0x1c/0x30
[14698.021530]  [<ffffffff8100abb9>] do_softirq+0x46/0x81
[14698.021537]  [<ffffffff8105ac36>] irq_exit+0x57/0xb1
[14698.021545]  [<ffffffff814902de>] do_IRQ+0x8e/0xa5
[14698.021554]  [<ffffffff81488493>] common_interrupt+0x13/0x13
[14698.021559]  <EOI>  [<ffffffff8100e969>] ? paravirt_read_tsc+0x9/0xd
[14698.021574]  [<ffffffff812841b0>] ? intel_idle+0xd8/0x100
[14698.021581]  [<ffffffff81284192>] ? intel_idle+0xba/0x100
[14698.021591]  [<ffffffff813af949>] cpuidle_idle_call+0xd7/0x168
[14698.021601]  [<ffffffff81008307>] cpu_idle+0xa5/0xdf
[14698.021610]  [<ffffffff8146741e>] rest_init+0x72/0x74
[14698.021620]  [<ffffffff81b66b8b>] start_kernel+0x3ca/0x3d5
[14698.021628]  [<ffffffff81b662c4>] x86_64_start_reservations+0xaf/0xb3
[14698.021635]  [<ffffffff81b66140>] ? early_idt_handlers+0x140/0x140
[14698.021642]  [<ffffffff81b663ca>] x86_64_start_kernel+0x102/0x111
[14698.021648] ---[ end trace 582526bd2f4914b2 ]---
[14698.023720] ------------[ cut here ]------------
[14698.023757] WARNING: at include/net/mac80211.h:3081 rate_control_send_low+0x8b/0x10f [mac80211]()
[14698.023763] Hardware name: Latitude E5520
[14698.023767] Modules linked in: tcp_lp usb_storage uas fuse lp vboxpci vboxnetadp vboxnetflt ebtable_nat ebtables vboxdrv bridge stp llc sunrpc cpufreq_ondemand acpi_cpufreq mperf ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state ip6table_filter ip6_tables ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_conntrack nf_defrag_ipv4 xt_CHECKSUM iptable_mangle rfcomm bnep coretemp snd_hda_codec_hdmi snd_hda_codec_idt btusb bluetooth arc4 snd_hda_intel dell_wmi ppdev sparse_keymap snd_hda_codec dell_laptop snd_hwdep snd_seq snd_seq_device dcdbas snd_pcm iwlagn microcode mac80211 snd_timer cfg80211 snd i2c_i801 iTCO_wdt soundcore rfkill snd_page_alloc iTCO_vendor_support tg3 parport_pc parport virtio_net kvm_intel kvm ipv6 xts gf128mul dm_crypt firewire_ohci sdhci_pci sdhci mmc_core firewire_core crc_itu_t wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
[14698.023886] Pid: 0, comm: swapper Tainted: G        W   2.6.40.4-5.fc15.x86_64 #1
[14698.023891] Call Trace:
[14698.023894]  <IRQ>  [<ffffffff81054c8e>] warn_slowpath_common+0x83/0x9b
[14698.023918]  [<ffffffff81054cc0>] warn_slowpath_null+0x1a/0x1c
[14698.023941]  [<ffffffffa0241627>] rate_control_send_low+0x8b/0x10f [mac80211]
[14698.023964]  [<ffffffffa0286306>] rs_get_rate+0x138/0x215 [iwlagn]
[14698.023988]  [<ffffffffa02419bb>] rate_control_get_rate+0x86/0x14c [mac80211]
[14698.024016]  [<ffffffffa0249f2c>] invoke_tx_handlers+0x829/0xe7d [mac80211]
[14698.024046]  [<ffffffffa029ac93>] ? pci_unmap_single+0x54/0x5b [iwlagn]
[14698.024072]  [<ffffffffa024a5e5>] ieee80211_tx+0x65/0x90 [mac80211]
[14698.024095]  [<ffffffffa024a76f>] ieee80211_xmit+0x15f/0x16e [mac80211]
[14698.024104]  [<ffffffff813cf834>] ? __alloc_skb+0x8d/0x133
[14698.024128]  [<ffffffffa024b1e0>] ieee80211_tx_skb+0x56/0x5e [mac80211]
[14698.024150]  [<ffffffffa0238802>] ieee80211_send_bar+0xda/0xe9 [mac80211]
[14698.024168]  [<ffffffffa02335ce>] ieee80211_tx_status+0x1e0/0x705 [mac80211]
[14698.024178]  [<ffffffff814880b4>] ? _raw_spin_unlock_irqrestore+0x17/0x19
[14698.024195]  [<ffffffffa0232b5b>] ieee80211_tasklet_handler+0x5b/0xa8 [mac80211]
[14698.024204]  [<ffffffff8105a0b3>] tasklet_action+0x7f/0xd2
[14698.024212]  [<ffffffff8105a954>] __do_softirq+0xc9/0x1b5
[14698.024220]  [<ffffffff8100e969>] ? paravirt_read_tsc+0x9/0xd
[14698.024227]  [<ffffffff8148fa5c>] call_softirq+0x1c/0x30
[14698.024234]  [<ffffffff8100abb9>] do_softirq+0x46/0x81
[14698.024241]  [<ffffffff8105ac36>] irq_exit+0x57/0xb1
[14698.024248]  [<ffffffff814902de>] do_IRQ+0x8e/0xa5
[14698.024257]  [<ffffffff81488493>] common_interrupt+0x13/0x13
[14698.024261]  <EOI>  [<ffffffff8100e969>] ? paravirt_read_tsc+0x9/0xd
[14698.024275]  [<ffffffff812841b0>] ? intel_idle+0xd8/0x100
[14698.024282]  [<ffffffff81284192>] ? intel_idle+0xba/0x100
[14698.024291]  [<ffffffff813af949>] cpuidle_idle_call+0xd7/0x168
[14698.024300]  [<ffffffff81008307>] cpu_idle+0xa5/0xdf
[14698.024309]  [<ffffffff8146741e>] rest_init+0x72/0x74
[14698.024317]  [<ffffffff81b66b8b>] start_kernel+0x3ca/0x3d5
[14698.024325]  [<ffffffff81b662c4>] x86_64_start_reservations+0xaf/0xb3
[14698.024332]  [<ffffffff81b66140>] ? early_idt_handlers+0x140/0x140
[14698.024339]  [<ffffffff81b663ca>] x86_64_start_kernel+0x102/0x111
[14698.024345] ---[ end trace 582526bd2f4914b3 ]---
[14698.626715] ------------[ cut here ]------------
[14698.626777] WARNING: at include/net/mac80211.h:3081 rate_control_send_low+0x8b/0x10f [mac80211]()
[14698.626784] Hardware name: Latitude E5520
[14698.626798] Modules linked in: tcp_lp usb_storage uas fuse lp vboxpci vboxnetadp vboxnetflt ebtable_nat ebtables vboxdrv bridge stp llc sunrpc cpufreq_ondemand acpi_cpufreq mperf ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state ip6table_filter ip6_tables ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_conntrack nf_defrag_ipv4 xt_CHECKSUM iptable_mangle rfcomm bnep coretemp snd_hda_codec_hdmi snd_hda_codec_idt btusb bluetooth arc4 snd_hda_intel dell_wmi ppdev sparse_keymap snd_hda_codec dell_laptop snd_hwdep snd_seq snd_seq_device dcdbas snd_pcm iwlagn microcode mac80211 snd_timer cfg80211 snd i2c_i801 iTCO_wdt soundcore rfkill snd_page_alloc iTCO_vendor_support tg3 parport_pc parport virtio_net kvm_intel kvm ipv6 xts gf128mul dm_crypt firewire_ohci sdhci_pci sdhci mmc_core firewire_core crc_itu_t wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
[14698.626844] Pid: 6777, comm: kworker/u:3 Tainted: G        W   2.6.40.4-5.fc15.x86_64 #1
[14698.626846] Call Trace:
[14698.626855]  [<ffffffff81054c8e>] warn_slowpath_common+0x83/0x9b
[14698.626858]  [<ffffffff81054cc0>] warn_slowpath_null+0x1a/0x1c
[14698.626865]  [<ffffffffa0241627>] rate_control_send_low+0x8b/0x10f [mac80211]
[14698.626873]  [<ffffffffa0286306>] rs_get_rate+0x138/0x215 [iwlagn]
[14698.626881]  [<ffffffffa02419bb>] rate_control_get_rate+0x86/0x14c [mac80211]
[14698.626899]  [<ffffffffa0249f2c>] invoke_tx_handlers+0x829/0xe7d [mac80211]
[14698.626906]  [<ffffffffa024a5e5>] ieee80211_tx+0x65/0x90 [mac80211]
[14698.626912]  [<ffffffffa024a76f>] ieee80211_xmit+0x15f/0x16e [mac80211]
[14698.626916]  [<ffffffff813cf834>] ? __alloc_skb+0x8d/0x133
[14698.626923]  [<ffffffffa024b1e0>] ieee80211_tx_skb+0x56/0x5e [mac80211]
[14698.626929]  [<ffffffffa0237f74>] ieee80211_send_delba+0x136/0x145 [mac80211]
[14698.626935]  [<ffffffffa0239062>] ___ieee80211_stop_rx_ba_session+0xdc/0x10e [mac80211]
[14698.626938]  [<ffffffff81041325>] ? should_resched+0xe/0x2d
[14698.626944]  [<ffffffffa02390e5>] __ieee80211_stop_rx_ba_session+0x51/0x68 [mac80211]
[14698.626950]  [<ffffffffa0238c01>] ? ieee80211_start_tx_ba_cb+0x5b/0xd2 [mac80211]
[14698.626955]  [<ffffffffa0237ce5>] ieee80211_sta_tear_down_BA_sessions+0x50/0x5d [mac80211]
[14698.626961]  [<ffffffffa023abe7>] ieee80211_set_disassoc+0xd1/0x1ee [mac80211]
[14698.626966]  [<ffffffffa023aeb0>] ieee80211_sta_connection_lost+0x45/0x98 [mac80211]
[14698.626973]  [<ffffffffa023d50a>] ieee80211_sta_work+0x119/0x12c [mac80211]
[14698.626979]  [<ffffffffa0240003>] ieee80211_iface_work+0x2af/0x2d2 [mac80211]
[14698.626985]  [<ffffffffa023fd54>] ? ieee80211_teardown_sdata+0xde/0xde [mac80211]
[14698.626987]  [<ffffffff8106be6c>] process_one_work+0x176/0x2a9
[14698.626990]  [<ffffffff8106ca05>] worker_thread+0xda/0x15d
[14698.626992]  [<ffffffff8106c92b>] ? manage_workers+0x175/0x175
[14698.626994]  [<ffffffff8106c92b>] ? manage_workers+0x175/0x175
[14698.626996]  [<ffffffff8106fe77>] kthread+0x84/0x8c
[14698.626998]  [<ffffffff8148f964>] kernel_thread_helper+0x4/0x10
[14698.627000]  [<ffffffff8106fdf3>] ? kthread_worker_fn+0x148/0x148
[14698.627002]  [<ffffffff8148f960>] ? gs_change+0x13/0x13
[14698.627003] ---[ end trace 582526bd2f4914b4 ]---
[14698.647800] iwlagn 0000:02:00.0: Stopping AGG while state not ON or starting
[14698.647905] iwlagn 0000:02:00.0: Stopping AGG while state not ON or starting
[14698.649827] cfg80211: Calling CRDA to update world regulatory domain
[14698.657116] cfg80211: World regulatory domain updated:
[14698.657123] cfg80211:     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[14698.657131] cfg80211:     (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[14698.657138] cfg80211:     (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[14698.657145] cfg80211:     (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[14698.657152] cfg80211:     (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[14698.657158] cfg80211:     (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[14698.657186] cfg80211: Calling CRDA for country: PL
[14698.663837] cfg80211: Regulatory domain changed to country: PL
[14698.663845] cfg80211:     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[14698.663853] cfg80211:     (2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm)
[14698.663859] cfg80211:     (5170000 KHz - 5250000 KHz @ 40000 KHz), (N/A, 2000 mBm)
[14698.663866] cfg80211:     (5250000 KHz - 5330000 KHz @ 40000 KHz), (N/A, 2000 mBm)
[14698.663872] cfg80211:     (5490000 KHz - 5710000 KHz @ 40000 KHz), (N/A, 2700 mBm)
[14704.665653] wlan0: authenticate with 00:22:55:58:f7:22 (try 1)
[14704.667306] wlan0: authenticated
[14704.704782] wlan0: associate with 00:22:55:58:f7:22 (try 1)
[14704.707845] wlan0: RX ReassocResp from 00:22:55:58:f7:22 (capab=0x431 status=0 aid=2)
[14704.707856] wlan0: associated

Comment 12 Stanislaw Gruszka 2011-09-16 08:40:31 UTC
Lukasz, I'm mostly interested on dmesg messages _before_ the first warning, Please do "dmesg > dmesg.txt" and attach "dmesg.txt" here. 

Unfortunately I'm not able to reproduce the problem by switching between bg and n AP . Perhaps there is some difference between APs configuration. Please elaborate more: provide N AP settings like network type (mixed bgn or n-only), channel/band (auto or some special), anything that you think could be important to be able to reproduce.

Comment 13 Lukasz Jagiello 2011-09-16 10:54:22 UTC
AP with 'A/B/G/N' (Cisco Aironet 1140 Series (IEEE 802.11n) Access Point)

#v+
B/G/N - channel 2472
A - channel dfs

Working at:
Hardware is 802.11N 5GHz Radio
Hardware is 802.11N 2.4GHz Radio
#v-

AP with 'A/B/G' (Cisco Aironet 1130 Series (IEEE 802.11a/g) Access Point)

#v+
B/G - channel 2437
speed  basic-1.0 basic-2.0 basic-5.5 basic-11.0 basic-6.0 basic-9.0 basic-12.0 basic-18.0 basic-24.0 basic-36.0 basic-48.0 basic-54.0
A -  channel dfs
speed  basic-6.0 basic-9.0 basic-12.0 basic-18.0 basic-24.0 basic-36.0 basic-48.0 basic-54.0

Working at:
Hardware is 802.11G Radio
Hardware is 802.11A Radio
#v-

dmesg.txt in attach

Comment 14 Lukasz Jagiello 2011-09-16 10:55:07 UTC
Created attachment 523540 [details]
dmesg at crash

Comment 15 Stanislaw Gruszka 2011-09-19 08:55:36 UTC
I'm not able to reproduce problem locally. Before warnings there  disconnect:

[10546.463424] wlan0: direct probe to b4:a4:e3:2e:dc:12 (try 1/3)
[10546.663396] wlan0: direct probe to b4:a4:e3:2e:dc:12 (try 2/3)
[10546.863291] wlan0: direct probe to b4:a4:e3:2e:dc:12 (try 3/3)
[10547.063221] wlan0: direct probe to b4:a4:e3:2e:dc:12 timed out

I tried to reproduce that by powering of AP, but that's not work for some reason.

Lukasz, I will need your assistance with solving this, I will provide you some patches for test.

Comment 16 Lukasz Jagiello 2011-09-19 09:04:45 UTC
Sure, let me know.

Comment 17 Stanislaw Gruszka 2011-09-19 09:14:09 UTC
Created attachment 523809 [details]
compat-wireless-next.patch

Probably the best way to test patches is using compat-wireless. It can be installed like that (patch attached here is need to make it compile on fedora):

# install build tools and headers:
sudo yum-builddep kernel
sudo yum install kernel-devel

# install compat-wireless
wget http://www.linuxwireless.org/download/compat-wireless-2.6/compat-wireless-2011-08-27.tar.bz2
tar xfj compat-wireless-2011-08-27.tar.bz2 
cd compat-wireless-2011-08-27
patch -p1 < ~/Downloads/compat-wireless-next.patch 
./scripts/driver-select iwlagn
make
sudo make install

# use new drivers, unload.sh may fail if so reboot is needed to use new drivers
sudo ./scripts/unload.sh 
sudo modprobe iwlagn

Lukasz, please test that. Perhaps issue is fixed on upstream code, if not I will provide more patches to test.

Comment 18 Lukasz Jagiello 2011-09-19 09:55:39 UTC
Created attachment 523814 [details]
dmesg after patch

Comment 19 Lukasz Jagiello 2011-09-19 09:58:09 UTC
After apply patch crash didn't happen, but couldn't connect back at original AP. Need to turn off wifi and turn on.

Comment 20 Stanislaw Gruszka 2011-09-19 10:36:08 UTC
The patch from comment 17 just fix compilation, does not change any upstream code.

If you reboot the system does device connect to AP without troubles? If not, that mean we have something else broken in iwlwifi driver from 2011-08-27 wireless next :-(

Comment 21 Lukasz Jagiello 2011-09-19 10:43:22 UTC
I reboot computer before test, so test was done with fresh booted system with new wireless module and problem was only when few times change AP (AP1 -> AP2 -> AP1). Anyway kernel error gone with new module.

Comment 22 Stanislaw Gruszka 2011-09-19 11:13:04 UTC
Ok, the WARNING is gone, but it's not sure if that problem is not masked by different issue -  inability to connect instantly to different AP and need to rfkill on/off to successful  reconnect.

I'm looking at commits between 2.6.40 and 2011-08-21 to see which one could possibly fix that problem ...

Comment 23 Kelvan 2011-09-19 18:12:53 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
nothing special, just lan and wifi online at the same time for a while

Comment 24 David Kowis 2011-09-20 18:57:31 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I'm just using the wifi. There's a vpnc running on it, but that shouldn't matter.
It's a WPA2 Enterprise. MSCHAPv2 auth setup.

Comment 25 Chuck Ebbert 2011-09-21 12:55:18 UTC
*** Bug 740120 has been marked as a duplicate of this bug. ***

Comment 26 Kelvan 2011-09-21 13:13:34 UTC
Just checked it, wifi had wpa(2) enterprise mschapv2 with tunneld tls

Comment 27 David Kowis 2011-09-21 15:42:04 UTC
Created attachment 524235 [details]
Wifi adaptor in my system

I'm attaching my lspci -vv information for additional information. I might be able to help with testing the wifi, since my wifi basically is useless here at work.

Comment 28 Kelvan 2011-09-22 15:30:29 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
wpa2 enterprise (eduroam) again

Comment 29 Charles R. Anderson 2011-09-26 02:15:02 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Connect to WPA2-Enterprise, EAP-TLS network

Comment 30 Stanislaw Gruszka 2011-09-26 12:44:23 UTC
(In reply to comment #22)
> I'm looking at commits between 2.6.40 and 2011-08-21 to see which one could
> possibly fix that problem ...

I do not see, which new commit could fix this problem. It there is such commit fix is not obvious. However I rather think that the WARNING problem is masked by other bug in current upstream code. This except from comment :

[  297.434699] wlan0: associate with 00:22:55:58:f7:22 (try 3)
[  297.634589] wlan0: association with 00:22:55:58:f7:22 timed out
[  300.710013] [Hardware Error]: Machine check events logged

show that there is something wrong on PCIe bus. Detailed Hardware Error could be decoded using mcelog tool. Problem could be in compat-wireless package, but most likely iwlagn driver do something nasty on PCIe bus. Lukasz, if possible, try to install current wireless testing kernel http://git.infradead.org/users/linville/wireless-testing.git . See if problem is reproducible there, and if so report bug on intellinuxwireless.org .

Comment 31 Stanislaw Gruszka 2011-09-26 12:50:15 UTC
Created attachment 524895 [details]
supp_rates_band.patch

This is proposed fix (or workaround) for that problem. Kernel build with patch is here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3377546

Please test when it finish to build.

Comment 32 David Kowis 2011-09-26 23:05:22 UTC
I have ran that kernel from the build for an entire day. The only thing I wasn't able to do was switch access points on the same network. As I walked around the building, I'd switch access points, but that didn't work. I had to reset the wifi connection to regain access.

No more warnings or errors, and it worked wonderfully.

Comment 33 Chuck Ebbert 2011-09-27 13:10:12 UTC
*** Bug 741585 has been marked as a duplicate of this bug. ***

Comment 34 Sean 2011-09-28 20:03:51 UTC
Package: kernel
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Sitting in class, looking at Firefox.  Heavy populated 802.11 network, using WPA+TKIP

Comment 35 Joel 2011-10-06 18:47:46 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Just woke the laptop from sleep and less than a minute passed before the stack trace.

Comment 36 Matt 2011-10-11 08:37:15 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Upon installation of latest Kernel package: 2.6.40.6-0.fc15.x86_64

When I boot the machine and connecto to a wireless network everything is fine for a few seconds.  Then this error is reported.

Comment 37 Joel 2011-10-11 15:07:04 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Just browsing the web (presumably) over my ethernet connection while the wireless connection was active (but should be idle).

Comment 38 Toshi 2011-10-11 18:58:02 UTC
Package: kernel
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Listnening to youtube video on website.

Comment 39 Charles R. Anderson 2011-10-12 15:24:23 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
connecting to a wireless network

Comment 40 Illya 2011-10-17 11:47:40 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Connect to WPA-Enterprise WLAN

Comment 41 Stanislaw Gruszka 2011-10-19 11:38:22 UTC
We discuss this problem with mac80211 maintainer:
http://marc.info/?t=131712206800002&r=1&w=2

Patch from comment 31 is more like workaround. It is  better not apply as it make things less debuggable, and actually not fix real problem/s - switch device to operate on wrong channel. However seems we have patches that are correct fixes for these issues:

> http://news.gmane.org/find-root.php?message_id=%3c1311607763%2d12603%2d3%2dgit%2dsend%2demail%2deliad%40wizery.com%3e

Here is kernel build with the patches:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3443284

These of you who are able reliably reproduce the problem (Lukasz, David, ?) please test it and report back the result.

Comment 42 Stanislaw Gruszka 2011-10-19 15:46:15 UTC
*** Bug 747215 has been marked as a duplicate of this bug. ***

Comment 43 Stanislaw Gruszka 2011-10-19 15:46:45 UTC
*** Bug 746359 has been marked as a duplicate of this bug. ***

Comment 44 David Kowis 2011-10-19 15:59:20 UTC
(In reply to comment #41)
> These of you who are able reliably reproduce the problem (Lukasz, David, ?)
> please test it and report back the result.

Since fedora updated the kernel on Oct 3 the error is different.
I don't see the same failures, but it's unable to associate with the access point. The workaround worked, and I'm currently downloading the kernel (on phone tethering because the wifi doesn't work (doh!)) and I'll give it a shot when it's done.

Thanks,
David

Comment 45 David Kowis 2011-10-19 17:59:31 UTC
<dmesg>
[  109.705161] wlan0: authenticate with d8:c7:c8:9a:61:4a (try 1)
[  109.904133] wlan0: authenticate with d8:c7:c8:9a:61:4a (try 2)
[  109.904788] wlan0: authenticated
[  109.953583] wlan0: associate with d8:c7:c8:9a:61:4a (try 1)
[  110.152507] wlan0: associate with d8:c7:c8:9a:61:4a (try 2)
[  110.153834] wlan0: RX AssocResp from d8:c7:c8:9a:61:4a (capab=0x1 status=17 aid=0)
[  110.153839] wlan0: d8:c7:c8:9a:61:4a denied association (code=17)
[  110.173634] wlan0: deauthenticating from d8:c7:c8:9a:61:4a by local choice (reason=3)
[  112.448621] wlan0: authenticate with d8:c7:c8:9a:61:4a (try 1)
[  112.647224] wlan0: authenticate with d8:c7:c8:9a:61:4a (try 2)
[  112.647874] wlan0: authenticated
[  112.696609] wlan0: associate with d8:c7:c8:9a:61:4a (try 1)
[  112.895601] wlan0: associate with d8:c7:c8:9a:61:4a (try 2)
[  112.897616] wlan0: RX AssocResp from d8:c7:c8:9a:61:4a (capab=0x511 status=0 aid=4)
[  112.897622] wlan0: associated
[  112.902950] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[  112.903060] cfg80211: Calling CRDA for country: US
[  112.907733] cfg80211: Regulatory domain changed to country: US
[  112.907739] cfg80211:     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[  112.907744] cfg80211:     (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
[  112.907749] cfg80211:     (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
[  112.907754] cfg80211:     (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[  112.907758] cfg80211:     (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[  112.907762] cfg80211:     (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[  112.907767] cfg80211:     (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
[  121.822032] iwlagn 0000:03:00.0: iwlagn_tx_agg_start on ra = d8:c7:c8:9a:61:4a tid = 0
[  123.402095] wlan0: no IPv6 routers present
</dmesg>

It appears to work. I still get some failures to associate, but it connects much, much faster than it used to. I don't see the errors, but I didn't see the errors with the prior kernel (2.6.40.6-0.fc15.x86_64). I'm able to associate and use the wifi here at work. Unfortunately the room I'm spending most of my day in today is a dead zone for wifi, not even my phone can get a useful connection.

Comment 46 Stanislaw Gruszka 2011-10-20 15:00:31 UTC
(In reply to comment #45)
> I don't see the errors, but I didn't see the errors with the prior kernel 
Thanks David.

Lukasz, you are able to reliably reproduce the warning, could you test kernel from comment 41.

Comment 47 Edney Matias 2011-10-21 02:29:33 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Didn't know. Maybe while resume from suspend or while switching to other wireless network.

Comment 48 Lukasz Jagiello 2011-10-21 12:51:07 UTC
(In reply to comment #46)
> (In reply to comment #45)
> > I don't see the errors, but I didn't see the errors with the prior kernel 
> Thanks David.
> 
> Lukasz, you are able to reliably reproduce the warning, could you test kernel
> from comment 41.

https://bugzilla.redhat.com/show_bug.cgi?id=747934

Just after boot.

Comment 49 Josh Boyer 2011-10-21 13:03:56 UTC
*** Bug 747934 has been marked as a duplicate of this bug. ***

Comment 50 Toshi 2011-10-28 04:36:47 UTC
Package: kernel
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Unknown.

Comment 51 Stanislaw Gruszka 2011-10-29 09:37:29 UTC
*** Bug 749742 has been marked as a duplicate of this bug. ***

Comment 52 John Watzke 2011-10-29 17:39:55 UTC
Package: kernel
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
Just happened randomly while I was away from the machine.

Comment 53 Stanislaw Gruszka 2011-11-03 19:34:03 UTC
Created attachment 531645 [details]
mac80211_dissassoc_when_probe_fail.patch

This patch disconnect from AP in mac80211 layer, when probe response timedot. I hope this fix latest warning from bug 747934.

Kernel build with that patch and two previous patches are here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3482880

Lukasz, please test it and give us feedback.

Comment 54 Lukasz Jagiello 2011-11-04 09:03:27 UTC
Atm for me change AP work nice. If I see any problems with normal work will report later.

Comment 55 Stanislaw Gruszka 2011-11-07 14:35:04 UTC
I posted patch from comment 53.

Josh, could you apply these patches in Fedora?

> http://git.kernel.org/?p=linux/kernel/git/linville/wireless-testing.git;a=commitdiff;h=682ba5a44516529b29fc780c055e06104d36e31e
> http://git.kernel.org/?p=linux/kernel/git/linville/wireless-testing.git;a=commitdiff;h=776308dd5fa8a41e8bbb79818a66bd68a7db757e
http://marc.info/?l=linux-wireless&m=132067602806988&w=2

I hope they fix all problems reported in this bug report. If not, it still worth to apply them, to see if there are any other problems that generate the warning.

Comment 56 Illya 2011-11-07 15:04:10 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
nothing speciall

Comment 57 Stanislaw Gruszka 2011-11-07 15:56:01 UTC
(In reply to comment #55)
> http://marc.info/?l=linux-wireless&m=132067602806988&w=2
This is not right fix according to mac80211 maintainer. Moving back to assigned. Josh, you can still apply patches already committed in wireless testing tree.

Comment 58 Josh Boyer 2011-11-07 17:26:07 UTC
(In reply to comment #57)
> (In reply to comment #55)
> > http://marc.info/?l=linux-wireless&m=132067602806988&w=2
> This is not right fix according to mac80211 maintainer. Moving back to
> assigned. Josh, you can still apply patches already committed in wireless
> testing tree.

We're going to rebase F15 to 3.1.x most likely this week.  I'll add these to F16, where I believe they are still needed, and then we'll fold them into F15 after the rebase.

Comment 59 Josh Boyer 2011-11-07 17:33:45 UTC
OK, patches added to f16 and rawhide.

Comment 60 Lukas Bezdicka 2011-11-08 08:05:45 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
dunno? just popped up

Comment 61 Johannes Berg 2011-11-08 16:47:06 UTC
Which AP is which? What frequencies are they on? There are at least b4:a4:e3:2e:dc:12 and b4:a4:e3:1f:4f:92

Comment 62 Oliver Paukstadt 2011-11-15 18:50:29 UTC
I have a NetBox-nT525H with a builtin
02:00.0 Network controller: Realtek Semiconductor Co., Ltd. RTL8191SEvA Wireless LAN Controller (rev 10)

This device is extremely sensitive for the bug. I never saw crashes, but I always had a massive decrease of throughput (starting with f14).

I did a f16 installation and with original kernel wlan throughput decreases within a few seconds to a few bytes only and stays low.

With latest update kernel it looks much better.
I am able to download megabytes, sometimes the throughput rate decreases but it recovers within a few seconds.

If I want to connect from another (wired) box to the system via ssh, it looks like I cannot reach the system. If I start a ping from the wlan system, I can reach the system without problems from the wired box.
Maybe another association problem.

If there are f16 debug kernels I can create some debugging logs.

Comment 63 Kayvan Sylvan 2011-11-18 16:37:50 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Normal running system.

Comment 64 Stanislaw Gruszka 2011-11-23 14:29:21 UTC
Lukasz, this is another kernel to test for you:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3534603

If include full revert of:

commit b23b025fe246f3acc2988eb6d400df34c27cb8ae
Author: Ben Greear <greearb@candelatech.com>
Date:   Fri Feb 4 11:54:17 2011 -0800

    mac80211: Optimize scans on current operating channel.

Also question from comment 61 is regarding your logs provided in comment 14, but I'm not sure if you have ability to tell which AP have which MAC address.

Oliver, please try this kernel as well and check if it helps with your rtl92xx.

Comment 65 xlu 2011-11-23 16:00:59 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
No known problem

Comment 66 xlu 2011-11-23 16:05:34 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
No known problem

Comment 67 Oliver Paukstadt 2011-11-23 22:38:18 UTC
Created attachment 535684 [details]
dmesg for 2.6.41.1-3.offch.fc15.x86_64.debug with inconsistent lock state

I did some tests with 2.6.41.1-3.offch.fc15.x86_64 and ran into a softlock situation with total lockup.

I installed 2.6.41.1-3.offch.fc15.x86_64.debug and it reports an inconsistent {SOFTIRQ-ON-W} -> {IN-SOFTIRQ-W} usage during activation of wlan.

Full dmesg attached.

Comment 68 Stanislaw Gruszka 2011-11-24 06:41:56 UTC
This is rtlwifi driver bug, we need to disable interrupt when taking a spinlock. I'm preparing a patch for that. I think disable power-save by
"iwconfig wlan0 power off" command will workaround that bug, so you can try that.

Comment 69 Stanislaw Gruszka 2011-11-24 07:57:59 UTC
Oliver, I'm building kernel with off-channel work revert and rtlwifi deadlock fix here: http://koji.fedoraproject.org/koji/taskinfo?taskID=3536998
Please test when it finish to compile.

Comment 70 Lukasz Jagiello 2011-11-24 09:59:45 UTC
(In reply to comment #64)
> Lukasz, this is another kernel to test for you:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=3534603

Got Fedora 16 already so can't test it. Sorry.

Comment 71 Oliver Paukstadt 2011-11-24 10:02:47 UTC
I have F16 as well and installed it using
rpm -hiv --oldpackage kernel-debug.rpm

Comment 72 Stanislaw Gruszka 2011-11-24 10:09:49 UTC
Force should work as well: "rpm -ivh --force" . Basically f15 2.6.41 and f16 3.1 is the same kernel.

Comment 73 Lukasz Jagiello 2011-11-24 10:50:36 UTC
Created attachment 535849 [details]
Dmesg at kernel 2.6.41.3-0.rc1.1.offch2.fc15.x86_64

Comment 74 Lukasz Jagiello 2011-11-24 10:51:39 UTC
Network working hole time when change AP.

Comment 75 Stanislaw Gruszka 2011-11-24 13:08:45 UTC
Good, thanks Lukasz.

Olivier, feedback from you about .offch2 kernel?

Comment 76 Stanislaw Gruszka 2011-11-24 13:21:17 UTC
Created attachment 535898 [details]
mac80211_offchannel_rework_revert.patch

Patch with 3.1 revert of:

commit b23b025fe246f3acc2988eb6d400df34c27cb8ae
Author: Ben Greear <greearb@candelatech.com>
Date:   Fri Feb 4 11:54:17 2011 -0800

    mac80211: Optimize scans on current operating channel.

Comment 77 Stanislaw Gruszka 2011-11-24 13:23:02 UTC
Created attachment 535899 [details]
0001-rtlwifi-fix-lps_lock-deadlock.patch

Comment 78 Oliver Paukstadt 2011-11-25 06:56:03 UTC
As far as I can see works fine.

I will have a closer look on the throughput problems I have seen on older kernels during next days.

Comment 79 Stanislaw Gruszka 2011-11-28 11:34:18 UTC
After discussion with Johannes, we decide that on upstream we will do only partial revert of "mac80211: Optimize scans on current operating channel.", while on 3.1 we will do full revert as patch from comment 76 do.

Partial revert patch is here:
http://marc.info/?l=linux-wireless&m=132077226608242&w=2

Lukasz, we would like to get confirmation from you, that partial revert also fix the problem on current upstream code. You can test patch using current compat-wireless packages from: http://people.redhat.com/sgruszka/compat-wireless-next/F-16/ . Thanks in advance.

Comment 80 wizzardx6 2011-11-29 19:41:36 UTC
Package: kernel
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Nothing really just trying to unlock my screen.

Comment 81 wizzardx6 2011-11-30 15:13:37 UTC
Package: kernel
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Just browsing the web.

Comment 82 Stanislaw Gruszka 2011-12-01 14:00:23 UTC
Josh, please apply patch from comment 76 as fix for this problem.

Upstream version of patch is currently committed in wireless-testing tree:
http://git.kernel.org/?p=linux/kernel/git/linville/wireless-testing.git;a=commitdiff;h=e76aadc572288a158ae18ae1c10fe395c7bca066
it differ from revert attached here, as we want to keep in upstream scanning changes, however we propose it to -stable when greg-kh will ask from backport.

Lukasz, we still waiting for confirmation about upstream fix. It should do the job, but we want to be sure. Otherwise we will need to revert more hunks like in backported patch.

Comment 83 Josh Boyer 2011-12-01 14:07:32 UTC
(In reply to comment #82)
> Josh, please apply patch from comment 76 as fix for this problem.

OK, will do.

Comment 84 Josh Boyer 2011-12-01 14:13:44 UTC
Patch in comment #76 applied to both f15 and f16.  Thanks.

Comment 85 Stanislaw Gruszka 2011-12-01 14:22:47 UTC
*** Bug 752333 has been marked as a duplicate of this bug. ***

Comment 86 Stanislaw Gruszka 2011-12-01 14:23:02 UTC
*** Bug 757232 has been marked as a duplicate of this bug. ***

Comment 87 Stanislaw Gruszka 2011-12-01 14:26:21 UTC
*** Bug 751367 has been marked as a duplicate of this bug. ***

Comment 88 John W. Linville 2011-12-01 14:43:01 UTC
*** Bug 759085 has been marked as a duplicate of this bug. ***

Comment 89 Lukasz Jagiello 2011-12-01 14:56:53 UTC
(In reply to comment #79)
> Lukasz, we would like to get confirmation from you, that partial revert also
> fix the problem on current upstream code. You can test patch using current
> compat-wireless packages from:
> http://people.redhat.com/sgruszka/compat-wireless-next/F-16/ . Thanks in
> advance.

Works good. No problem notice.

Comment 90 Josh Boyer 2011-12-07 14:08:08 UTC
*** Bug 760937 has been marked as a duplicate of this bug. ***

Comment 91 Josh Boyer 2011-12-07 21:05:38 UTC
*** Bug 761193 has been marked as a duplicate of this bug. ***

Comment 92 Josh Boyer 2011-12-07 21:05:55 UTC
*** Bug 761192 has been marked as a duplicate of this bug. ***

Comment 93 Fedora Update System 2011-12-09 20:23:32 UTC
kernel-3.1.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.1.5-1.fc16

Comment 94 Fedora Update System 2011-12-10 19:33:51 UTC
Package kernel-3.1.5-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.1.5-1.fc16'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16840/kernel-3.1.5-1.fc16
then log in and leave karma (feedback).

Comment 95 Fedora Update System 2011-12-12 12:20:49 UTC
kernel-2.6.41.5-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.41.5-1.fc15

Comment 96 Fedora Update System 2011-12-12 21:57:23 UTC
kernel-3.1.5-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 97 Fedora Update System 2011-12-15 18:54:30 UTC
kernel-2.6.41.5-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.41.5-4.fc15

Comment 98 Fedora Update System 2011-12-22 01:18:15 UTC
kernel-2.6.41.6-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.41.6-1.fc15

Comment 99 Fedora Update System 2012-01-23 18:32:23 UTC
kernel-3.2.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.2.1-3.fc16

Comment 100 Fedora Update System 2012-01-24 07:56:52 UTC
kernel-3.2.1-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.